package com.shigongli.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.shigongli.entity.TaMetaImageTag;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 图片标签 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2020-12-11
 */
@Mapper
public interface TaMetaImageTagMapper extends BaseMapper<TaMetaImageTag> {

    int removeAllBy(@Param("tagIds") List<String> tagIds);

    IPage<TaMetaImageTag> pagedBy(IPage<TaMetaImageTag> pg, @Param("tagId") String tagId);
}
