package com.shigongli.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.shigongli.entity.TaMetaImageTag;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 图片标签 服务类
 * </p>
 *
 * @author yansen
 * @since 2020-12-11
 */
public interface ITaMetaImageTagService extends IService<TaMetaImageTag> {

    void removeAllBy(List<String> tagIds);

    IPage<TaMetaImageTag> pagedBy(IPage<TaMetaImageTag> pg, String tagId);
}
